com.genesyslab.wfm7.API.service.builder720

## Interface WFMBuilderService720Soap

- All Superinterfaces:
    java.rmi.Remote

      public interface WFMBuilderService720Soap
      extends java.rmi.Remote

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancelRequest(java.lang.String requestID)`
    `void` | `closeAllRequests()`
    `void` | `closeRequest(java.lang.String requestID)`
    `java.lang.String` | `createReoptimizationRequest(int scheduleID, int siteID, EBldReoptimizationType reoptimizationType, double reoptimizationStartDate, int reoptimizationStartMinute, boolean multiSkill, boolean useRequiredStaffing, boolean useTeamConstraints, boolean excludeGrantedFromTeam, boolean shuffleAgents, boolean ignoreFirstMonthConstraints, int[] agentIDArray, int[] teamIDArray, boolean fixShiftStart, boolean fixShiftEnd, boolean fixShiftPaidDuration, boolean useCurrentAgentDayActivities, int[] reoptActivityIDArray, boolean saveToCommitted, boolean syncMode)` Reoptimizes schedule for the specified schedule scenario site
    `java.lang.String` | `createRescheduleRequest(int scheduleID, int siteID, double rescheduleStartDate, double rescheduleEndDate, int[] agentIDArray, int[] teamIDArray, boolean syncMode)` Rebuilds schedule for the specified schedule scenario site
    `java.lang.String` | `createScheduleRequest(int scheduleID, int siteID, boolean syncMode)` Builds schedule for the specified schedule scenario site
    `int` | `getRequestProgress(java.lang.String requestID)`
    `QueueInfoHolder` | `getRequestQueueInfo()`
    `boolean` | `getRequestResult(java.lang.String requestID)`
    `RequestStatus` | `getRequestStatus(java.lang.String requestID)`
    `RequestInfoHolder` | `getRequestStatusInfo(java.lang.String requestID)`
    `void` | `waitForAllRequests()`

- - ### Method Detail

    - #### createScheduleRequest

          java.lang.String createScheduleRequest(int scheduleID,
                                               int siteID,
                                               boolean syncMode)
                                                 throws java.rmi.RemoteException

      Builds schedule for the specified schedule scenario site
      Parameters:
        `scheduleID` - Schedule scenario ID
        `siteID` - The site ID for which schedule has to be built.
        `syncMode` - True/False if method should execute in synchronous mode
      Returns:
        SessionID Scheduling request ID if request has to be executed in asynchronous mode
      Throws:
        `java.rmi.RemoteException`

    - #### createRescheduleRequest

          java.lang.String createRescheduleRequest(int scheduleID,
                                                 int siteID,
                                                 double rescheduleStartDate,
                                                 double rescheduleEndDate,
                                                 int[] agentIDArray,
                                                 int[] teamIDArray,
                                                 boolean syncMode)
                                                   throws java.rmi.RemoteException

      Rebuilds schedule for the specified schedule scenario site
      Parameters:
        `scheduleID` - Schedule scenario ID.
        `siteID` - The site ID for which schedule has to be rebuilt.
        `rescheduleStartDate` - Reschedule start date (must be inside of the schedule scenario).
        `rescheduleEndDate` - Reschedule end date (must be inside of the schedule scenario).
        `agentIDArray` - The list of agent IDs for which schedule should be rebuilt.
        `teamIDArray` - The list of agent team IDs for which schedule should be rebuilt.
        `syncMode` - True/False if method should execute in synchronous mode
      Returns:
        SessionID Scheduling request ID if request has to be executed in asynchronous mode
      Throws:
        `java.rmi.RemoteException`

    - #### createReoptimizationRequest

          java.lang.String createReoptimizationRequest(int scheduleID,
                                                     int siteID,
                                                     EBldReoptimizationType reoptimizationType,
                                                     double reoptimizationStartDate,
                                                     int reoptimizationStartMinute,
                                                     boolean multiSkill,
                                                     boolean useRequiredStaffing,
                                                     boolean useTeamConstraints,
                                                     boolean excludeGrantedFromTeam,
                                                     boolean shuffleAgents,
                                                     boolean ignoreFirstMonthConstraints,
                                                     int[] agentIDArray,
                                                     int[] teamIDArray,
                                                     boolean fixShiftStart,
                                                     boolean fixShiftEnd,
                                                     boolean fixShiftPaidDuration,
                                                     boolean useCurrentAgentDayActivities,
                                                     int[] reoptActivityIDArray,
                                                     boolean saveToCommitted,
                                                     boolean syncMode)
                                                       throws java.rmi.RemoteException

      Reoptimizes schedule for the specified schedule scenario site
      Parameters:
        `scheduleID` - Schedule scenario ID. 0 for master schedule.
        `siteID` - The site ID for which schedule has to be rebuilt.
        `reoptimizationType` - Schedule Reoptimization type.
        `reoptimizationStartDate` - The day where schedule must be reoptimized.
        `reoptimizationStartMinute` - The minute after which schedule must be reoptimized.
        `multiSkill` - True/False if multi skill scheduling option should be used when reoptimizing.
        `useRequiredStaffing` - True if required staffing should be used. False if calculated.
        `useTeamConstraints` - True/False if team constraints should be used when reoptimizing.
        `excludeGrantedFromTeam` - True/False if agents with granted preferences should be excluded from team.
        `shuffleAgents` - True/False if agents should be shuffled when reoptimizing.
        `ignoreFirstMonthConstraints` - True/False if first month constraints should be ignored when reoptimizing.
        `agentIDArray` - The list of agent IDs for which schedule should be reoptimized.
        `teamIDArray` - The list of agent team IDs for which schedule should be reoptimized.
        `fixShiftStart` - True/false if shifts' start times can not move when reoptimizing.
        `fixShiftEnd` - True/false if shifts' end times can not move when reoptimizing.
        `fixShiftPaidDuration` - True/false if paid durations can not change when reoptimizing.
        `useCurrentAgentDayActivities` - True/false if the same activities should be reused for daily activity distribution when reoptimizing.
        `reoptActivityIDArray` - The list of activities that should be used for reoptimization.
        `saveToCommitted` - True if scheduling result should be saved to commited, false if scheduling result should be saved to pending
        `syncMode` - True/False if method should execute in synchronous mode
      Returns:
        SessionID Scheduling request ID if request has to be executed in asynchronous mode
      Throws:
        `java.rmi.RemoteException`

    - #### closeRequest

          void closeRequest(java.lang.String requestID)
                            throws java.rmi.RemoteException

      Parameters:
        `requestID` - Scheduling request ID
      Throws:
        `java.rmi.RemoteException`

    - #### cancelRequest

          void cancelRequest(java.lang.String requestID)
                             throws java.rmi.RemoteException

      Parameters:
        `requestID` - Scheduling request ID
      Throws:
        `java.rmi.RemoteException`

    - #### closeAllRequests

          void closeAllRequests()
                                throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### waitForAllRequests

          void waitForAllRequests()
                                  throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getRequestResult

          boolean getRequestResult(java.lang.String requestID)
                                   throws java.rmi.RemoteException

      Parameters:
        `requestID` - Scheduling request ID
      Returns:
        Request success: true/false
      Throws:
        `java.rmi.RemoteException`

    - #### getRequestProgress

          int getRequestProgress(java.lang.String requestID)
                                 throws java.rmi.RemoteException

      Parameters:
        `requestID` - Scheduling request ID
      Returns:
        Request progress %
      Throws:
        `java.rmi.RemoteException`

    - #### getRequestStatus

          RequestStatus getRequestStatus(java.lang.String requestID)
                                         throws java.rmi.RemoteException

      Parameters:
        `requestID` - Scheduling request ID
      Returns:
        Request status
      Throws:
        `java.rmi.RemoteException`

    - #### getRequestStatusInfo

          RequestInfoHolder getRequestStatusInfo(java.lang.String requestID)
                                                 throws java.rmi.RemoteException

      Parameters:
        `requestID` - Scheduling request ID
      Returns:
        Information holder
      Throws:
        `java.rmi.RemoteException`

    - #### getRequestQueueInfo

          QueueInfoHolder getRequestQueueInfo()
                                              throws java.rmi.RemoteException

      Returns:
        Information holder
      Throws:
        `java.rmi.RemoteException`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.